> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://documentation.sayari.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server.

# Search Record GET

GET https://api.sayari.com/v1/search/record

Search for a record. Please note, searches are limited to a maximum of 10,000 results.

Reference: https://documentation.sayari.com/api/api-reference/search/search-record-get

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sayari.com` (Production, default)
- `https://api.internal.sayari.com` (Dev)
- `https://api.uk.sayari.com` (Production_UK)

## Request

### Query parameters

- `limit` (integer, optional) — A limit on the number of objects to be returned with a range between 1 and 100. Defaults to 100.
- `offset` (integer, optional) — Number of results to skip before returning response. Defaults to 0.
- `q` (string, required) — Query term. The syntax for the query parameter follows elasticsearch simple query string syntax. The includes the ability to use search operators and to perform nested queries. Must be url encoded.
- `facets` (boolean, optional) — Whether or not to return search facets in results giving counts by field. Defaults to false.
- `advanced` (boolean, optional) — Set to true to enable full elasticsearch query string syntax which allows for fielded search and more complex operators. Note that the syntax is more strict and can result in empty result-sets. Defaults to false.

## Response

### 200

- `data` (list of RecordDetails, required)
- `limit` (integer, required)
- `next` (boolean, required)
- `offset` (integer, required)
- `size` (QualifiedCount, required)

## Errors

### 400 Bad Request

- `any`

### 401 Unauthorized

- `any`

### 405 Method Not Allowed

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 406 Not Acceptable

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 429 Rate Limit Exceeded

- `any`

### 500 Internal Server Error

- `any`

## Types

### RecordDetails

- `id` (string, required) — The unique identifier for a record in the database
- `label` (string, required)
- `source` (string, required) — The unique identifier for a source in the database
- `acquisition_date` (string, required) — The date Sayari acquired this record
- `references_count` (integer, required) — Number of times this record is referenced
- `record_url` (string, required) — The url to download the record from Sayari
- `publication_date` (string, optional) — The date the record was published
- `source_url` (string, optional) — The url to access to original source
- `document_urls` (list of string, optional)
- `matches` (map from string to list of string, optional)
- `country` (enum, optional) — Country enums are normalized representations of country names. [Source](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#ECU)
  - Allowed values: `ABW`, `AFG`, `AGO`, `AIA`, `ALA`, `ALB`, `AND`, `ARE`, `ARG`, `ARM`, `ASM`, `ATA`, `ATF`, `ATG`, `AUS`, `AUT`, `AZE`, `BDI`, `BEL`, `BEN`, `BES`, `BFA`, `BGD`, `BGR`, `BHR`, `BHS`, `BIH`, `BLM`, `BLR`, `BLZ`, `BMU`, `BOL`, `BRA`, `BRB`, `BRN`, `BTN`, `BVT`, `BWA`, `CAF`, `CAN`, `CCK`, `CHE`, `CHL`, `CHN`, `CIV`, `CMR`, `COD`, `COG`, `COK`, `COL`, `COM`, `CPV`, `CRI`, `CUB`, `CUW`, `CXR`, `CYM`, `CYP`, `CZE`, `DEU`, `DJI`, `DMA`, `DNK`, `DOM`, `DZA`, `ECU`, `EGY`, `ERI`, `ESH`, `ESP`, `EST`, `ETH`, `FIN`, `FJI`, `FLK`, `FRA`, `FRO`, `FSM`, `GAB`, `GBR`, `GEO`, `GGY`, `GHA`, `GIB`, `GIN`, `GLP`, `GMB`, `GNB`, `GNQ`, `GRC`, `GRD`, `GRL`, `GTM`, `GUF`, `GUM`, `GUY`, `HKG`, `HMD`, `HND`, `HRV`, `HTI`, `HUN`, `IDN`, `IMN`, `IND`, `IOT`, `IRL`, `IRN`, `IRQ`, `ISL`, `ISR`, `ITA`, `JAM`, `JEY`, `JOR`, `JPN`, `KAZ`, `KEN`, `KGZ`, `KHM`, `KIR`, `KNA`, `KOR`, `KWT`, `LAO`, `LBN`, `LBR`, `LBY`, `LCA`, `LIE`, `LKA`, `LSO`, `LTU`, `LUX`, `LVA`, `MAC`, `MAF`, `MAR`, `MCO`, `MDA`, `MDG`, `MDV`, `MEX`, `MHL`, `MKD`, `MLI`, `MLT`, `MMR`, `MNE`, `MNG`, `MNP`, `MOZ`, `MRT`, `MSR`, `MTQ`, `MUS`, `MWI`, `MYS`, `MYT`, `NAM`, `NCL`, `NER`, `NFK`, `NGA`, `NIC`, `NIU`, `NLD`, `NOR`, `NPL`, `NRU`, `NZL`, `OMN`, `PAK`, `PAN`, `PCN`, `PER`, `PHL`, `PLW`, `PNG`, `POL`, `PRI`, `PRK`, `PRT`, `PRY`, `PSE`, `PYF`, `QAT`, `REU`, `RKS`, `ROU`, `RUS`, `RWA`, `SAU`, `SDN`, `SEN`, `SGP`, `SGS`, `SHN`, `SJM`, `SLB`, `SLE`, `SLV`, `SMR`, `SOM`, `SPM`, `SRB`, `SSD`, `STP`, `SUR`, `SVK`, `SVN`, `SWE`, `SWZ`, `SXM`, `SYC`, `SYR`, `TCA`, `TCD`, `TGO`, `THA`, `TJK`, `TKL`, `TKM`, `TLS`, `TON`, `TTO`, `TUN`, `TUR`, `TUV`, `TWN`, `TZA`, `UGA`, `UKR`, `UMI`, `UNK`, `URY`, `USA`, `UZB`, `VAT`, `VCT`, `VEN`, `VGB`, `VIR`, `VNM`, `VUT`, `WLF`, `WSM`, `XXX`, `YEM`, `ZAF`, `ZMB`, `ZWE`
- `page` (double, optional)
- `page_count` (double, optional)

### QualifiedCount

- `count` (integer, required)
- `qualifier` (enum, required)
  - Allowed values: `eq`, `gte`

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "a7e5a83df5551eb557688c84451abd9d/0000950123-09-004358-index.htm/1697610858173",
      "label": "Company Record from USA SEC 10-K Database",
      "source": "a7e5a83df5551eb557688c84451abd9d",
      "acquisition_date": "2023-10-18",
      "references_count": 10,
      "record_url": "/v1/record/a7e5a83df5551eb557688c84451abd9d%2F0000950123-09-004358-index.htm%2F1697610858173",
      "publication_date": "2009-03-10",
      "source_url": "https://www.sec.gov/Archives/edgar/data/2488/000119312513069422/0000950123-09-004358-index.htm",
      "matches": {
        "text": [
          "In\n    addition, David and <em>Victoria</em> <em>Beckham</em> have agreed to pursue the\n    development and exploitation of projects relating to\n    merchandising, products and skills (that do not, with certain\n    exceptions, include the name <em>Beckham</em>) exclusively\n    through a joint venture vehicle, <em>Beckham</em> Brand <em>Limited</em>",
          "(BBL), which is owned one-third by each of David\n    <em>Beckham</em>, <em>Victoria</em> <em>Beckham</em>, and a subsidiary of 19 Entertainment.",
          "For\n    example, 19 Entertainment manages <em>Victoria</em> <em>Beckham</em>, a fashion\n    and lifestyle personality as well as David <em>Beckham</em>, a globally\n    recognized soccer player who commenced playing for the Los\n    Angeles Galaxy of United States-based Major League Soccer in\n    July 2007 and is currently playing",
          "<em>Beckham</em> (see\n    below under <em>Beckham</em> Relationship), Annie Lennox and\n    Cathy Dennis.",
          "In 2008, <em>Victoria</em> successfully launched her\n    dress collection, a new denim collection under her DVB Style\n    brand and a DVB line of eyewear."
        ]
      },
      "country": "USA",
      "page": 8,
      "page_count": 92
    }
  ],
  "limit": 1,
  "next": true,
  "offset": 0,
  "size": {
    "count": 182,
    "qualifier": "eq"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/search/record"

querystring = {"q":"victoria beckham limited","limit":"1"}

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```typescript
import { SayariClient } from "sayari";

const sayari = new SayariClient({ clientId: "YOUR_CLIENT_ID", clientSecret: "YOUR_CLIENT_SECRET" });
await sayari.search.searchRecordGet({
    q: "victoria beckham limited",
    limit: 1
});

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/search/record?q=victoria+beckham+limited&limit=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/search/record?q=victoria+beckham+limited&limit=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sayari.com/v1/search/record?q=victoria+beckham+limited&limit=1")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sayari.com/v1/search/record?q=victoria+beckham+limited&limit=1', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/search/record?q=victoria+beckham+limited&limit=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/search/record?q=victoria+beckham+limited&limit=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```